## python-gpyconf 0.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in build/qthelp, like this:"
	@echo "# qcollectiongenerator build/qthelp/gpyconf.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile build/qthelp/gpyconf.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in build/doctest/output.txt."

=== debian/changelog ===
python-gpyconf (0.2-1) unstable; urgency=low

  * Initial release. (Closes: #682489).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 30 Apr 2013 22:58:47 +0200

=== debian/control ===
Source: python-gpyconf
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org> 
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
 cdbs (>= 0.4.90~),
 debhelper (>= 9),
 python (>= 2.6.6-3~),
 python-setuptools
Standards-Version: 3.9.4
Homepage: https://github.com/kkris/gpyconf
X-Python-Version: >= 2.6

Package: python-gpyconf
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
 python-lxml,
 python-gtk2
Description: Python configuration framework with support for multiple backends
 A modular Python configuration framework with support for multiple backends
 (ConfigParser, XML, JSON, ...) and multiple frontends (GTK+, Web, ...).

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

SOURCE_PACKAGE = $(shell dpkg-parsechangelog|sed -n '/^Source/{s/Source: \(.*\)/\1/p}')
MAIN_VERSION = $(shell dpkg-parsechangelog|sed -n '/^Version/{s/Version: \(.*\)/\1/p}')
VER = $(shell echo $(MAIN_VERSION)|sed -n 's/\([0-9.]*\)[-+].*/\1/p')

get-orig-source:
	dh_testdir
	mkdir -p ../tarballs
	uscan --force-download --rename --destdir ../tarballs

get-git-source:
	dh_testdir
	rm -rfv .upstream ../$(SOURCE_PACKAGE)_$(VER).orig.tar.bz2
	mkdir .upstream
	mkdir -p ../tarballs
	cd .upstream && git clone git://github.com/jonashaag/gpyconf --depth 1 $(SOURCE_PACKAGE)-$(VER)
	find .upstream -type f | while read F; do chmod -x "$$F"; done
	cd .upstream && tar --exclude .git -jvcf ../../tarballs/$(SOURCE_PACKAGE)_$(VER).orig.tar.bz2 $(SOURCE_PACKAGE)-$(VER)
	rm -rfv .upstream

=== debian/watch ===
version=3
https://github.com/kkris/gpyconf/tags .*/v?(\d[\d\.]+)\.tar\.gz
